NX二次开发 UFUN创建圆角 UF_MODL_create_blend
#include <UF_MODL.h>
//创建块(创建长方体)
bool CreateBlock(const double point[3], const double size[3], tag_t& body_tag)
{
char length[133] = "", width[133] = "", highly[133] = "";
tag_t tag = NULL_TAG;
double point1[3] = { point[0],point[1] ,point[2] };
if (0.0 >= size[0] || 0.0 >= size[1] || 0.0 >= size[2])
return false;
sprintf(length, "%.9f", size[0]);
sprintf(width, "%.9f", size[1]);
sprintf(highly, "%.9f", size[2]);
char* edge_Len[3] = { length, width, highly };
if (!UF_MODL_create_block1(UF_NULLSIGN, point1, edge_Len, &tag))
{//创建长方体特征
if (!UF_MODL_ask_feat_body(tag, &body_tag))
{//通过特征获得体
return true;
}